﻿using System.Web.Routing;
using FluentAssertions;
using NUnit.Framework;

namespace T4JS.Tests
{
    [TestFixture]
    public class RoutesTest
    {
        private RouteCollection _routes;

        [SetUp]
        public void Setup()
        {
            _routes = new RouteCollection();
            MvcApplication2.MvcApplication.RegisterRoutes(_routes);
        }

        [Test]
        public void MapUrl_ProductIndex()
        {
            RouteHelper.AssertRoute(_routes, "~/product", new { controller = "product", action = "Index" });
        }
        [Test]
        public void MapUrl_MailInd()
        {
            RouteHelper.AssertRoute(_routes, "~/mail/Ind", new { controller = "product", action = "Ind" });
        }


        [Test]
        public void GetUrl_Custom()
        {
            var url = RouteHelper.GetUrlFor(_routes, "Product", "Ind");

            url.Should().BeEquivalentTo("/mail/Ind");
        }


        [Test]
        public void GetUrl_Home_Index()
        {
            var url = RouteHelper.GetUrlFor(_routes, "Home", "");

            url.Should().BeEquivalentTo("/");
        }
        [Test]
        public void GetUrl_Home_Indd()
        {
            var url = RouteHelper.GetUrlFor(_routes, "Home", "Indd");

            url.Should().BeEquivalentTo("/home/indd");
        }
    }
}